# Uses of Class
org.apache.commons.math3.exception.MathParseException

Packages that use MathParseException
Package
Description
org.apache.commons.math3.complex
Complex number type and implementations of complex transcendental functions.
org.apache.commons.math3.fraction
Fraction number type and fraction number formatting.
org.apache.commons.math3.geometry
This package is the top level package for geometry.
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.
org.apache.commons.math3.random
Random number and random data generators.

## Uses of MathParseException in org.apache.commons.math3.complex

Methods in org.apache.commons.math3.complex that throw MathParseException
Modifier and Type
Method
Description
`Complex`
ComplexFormat.`parse(String source)`
Parses a string to produce a `Complex` object.

## Uses of MathParseException in org.apache.commons.math3.fraction

Methods in org.apache.commons.math3.fraction that throw MathParseException
Modifier and Type
Method
Description
`BigFraction`
BigFractionFormat.`parse(String source)`
Parses a string to produce a `BigFraction` object.
`Fraction`
FractionFormat.`parse(String source)`
Parses a string to produce a `Fraction` object.

## Uses of MathParseException in org.apache.commons.math3.geometry

Methods in org.apache.commons.math3.geometry that throw MathParseException
Modifier and Type
Method
Description
`abstract Vector<S>`
VectorFormat.`parse(String source)`
Parses a string to produce a `Vector` object.

## Uses of MathParseException in org.apache.commons.math3.geometry.euclidean.oned

Methods in org.apache.commons.math3.geometry.euclidean.oned that throw MathParseException
Modifier and Type
Method
Description
`Vector1D`
Vector1DFormat.`parse(String source)`
Parses a string to produce a `Vector` object.

## Uses of MathParseException in org.apache.commons.math3.geometry.euclidean.threed

Methods in org.apache.commons.math3.geometry.euclidean.threed that throw MathParseException
Modifier and Type
Method
Description
`Vector3D`
Vector3DFormat.`parse(String source)`
Parses a string to produce a `Vector3D` object.

## Uses of MathParseException in org.apache.commons.math3.geometry.euclidean.twod

Methods in org.apache.commons.math3.geometry.euclidean.twod that throw MathParseException
Modifier and Type
Method
Description
`Vector2D`
Vector2DFormat.`parse(String source)`
Parses a string to produce a `Vector` object.

## Uses of MathParseException in org.apache.commons.math3.random

Constructors in org.apache.commons.math3.random that throw MathParseException
Modifier
Constructor
Description
``
`SobolSequenceGenerator(int dimension, InputStream is)`
Construct a new Sobol sequence generator for the given space dimension with direction vectors loaded from the given stream.